LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XCompositeLayer Interface Referencepublished

provides read access to layers that contain sublayers accessible through an additional criterion (for instance the locale they contain data for). More...

`import"XCompositeLayer.idl";`

Inheritance diagram for XCompositeLayer:

## Public Member Functions
sequence< string > | listSubLayerIds () raises (com::sun::star::lang::WrappedTargetException)
| Returns a list of the criteria that can be used to access the sublayers. More...
void | readSubLayerData ([in] XLayerHandler aHandler, [in] string aSubLayerId) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| Describes the content of a particular sublayer to an XLayerHandler. More...
Public Member Functions inherited from XLayer
void | readData ([in] XLayerHandler aHandler) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| describes the contents of the layer to an XLayerHandler. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides read access to layers that contain sublayers accessible through an additional criterion (for instance the locale they contain data for).

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ listSubLayerIds()

sequence< string > listSubLayerIds | ( |  | ) |
raises | ( | com::sun::star::lang::WrappedTargetException
| ) |  |

Returns a list of the criteria that can be used to access the sublayers.

Returns
  a list supported sublayer identifiers

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs in the retrieval of the data.

## ◆ readSubLayerData()

void readSubLayerData | ( | [in] XLayerHandler | aHandler,
|  | [in] string | aSubLayerId
| ) |  |
raises | ( | com::sun::star::lang::NullPointerException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::WrappedTargetException,
|  | MalformedDataException
| ) |  |

Describes the content of a particular sublayer to an XLayerHandler.

Parameters

  aHandler | Handler object that will receive calls describing the contents of the sublayer.
  aSubLayerId | Identifier of the sublayer to be read.

Must be one the identifiers returned by XCompositeLayer::listSubLayerIds()

Exceptions

  com::sun::star::lang::NullPointerException | if a `NULL` handler is passed.
  com::sun::star::lang::IllegalArgumentException | if the identifier is invalid.
  com::sun::star::lang::WrappedTargetException | if an error occurs in the access to or processing of the data.
  com::sun::star::configuration::backend::MalformedDataException | if the data read from the layer is rejected as invalid by the XLayerHandler.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XCompositeLayer.idl